# Uses of Enum
org.jboss.logmanager.handlers.SyslogHandler.Facility

Packages that use SyslogHandler.Facility
Package
Description
org.jboss.logmanager.handlers

## Uses of SyslogHandler.Facility in org.jboss.logmanager.handlers

Fields in org.jboss.logmanager.handlers declared as SyslogHandler.Facility
Modifier and Type
Field
Description
`static final SyslogHandler.Facility`
SyslogHandler.`DEFAULT_FACILITY`
Methods in org.jboss.logmanager.handlers that return SyslogHandler.Facility
Modifier and Type
Method
Description
`SyslogHandler.Facility`
SyslogHandler.`getFacility()`
Returns the facility used for calculating the priority of the message.
`static SyslogHandler.Facility`
SyslogHandler.Facility.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SyslogHandler.Facility[]`
SyslogHandler.Facility.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logmanager.handlers with parameters of type SyslogHandler.Facility
Modifier and Type
Method
Description
`protected int`
SyslogHandler.`calculatePriority(Level level, SyslogHandler.Facility facility)`
`void`
SyslogHandler.`setFacility(SyslogHandler.Facility facility)`
Sets the facility used when calculating the priority of the message.
Constructors in org.jboss.logmanager.handlers with parameters of type SyslogHandler.Facility
Modifier
Constructor
Description
``
`SyslogHandler(String serverHostname, int port, SyslogHandler.Facility facility, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(String serverHostname, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(String serverHostname, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, SyslogHandler.Protocol protocol, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(InetAddress serverAddress, int port, SyslogHandler.Facility facility, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(InetAddress serverAddress, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(InetAddress serverAddress, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, SyslogHandler.Protocol protocol, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.